# 部署 MySQL Group Replication

- 按实际环境修改
    - docker-compose.yml
    - mysql{1..3}/my.cnf

- 创建目录
    ```
    grep '\<source:' docker-compose.yml | cut -d: -f2 | xargs mkdir -p
    ```

- 启动 mysql1
    ```
    docker-compose up -d mysql1
    ```

- 查看 mysql1 容器日志，直至出现 "MySQL is ready for connections." 字样
    ```
    docker-compose logs -f mysql1
    ```

- 启动 mysql2 和 mysql3
    ```
    docker-compose up -d
    ```

- 查看 mysql2 容器日志，直至出现 "MySQL is ready for connections." 字样
    ```
    docker-compose logs -f mysql2
    ```

- 查看 mysql3 容器日志，直至出现 "MySQL is ready for connections." 字样
    ```
    docker-compose logs -f mysql3
    ```

